Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/IOM/iom.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/IOM/iom.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/IOM/iom.F90	(revision 12406)
@@ -274,5 +274,5 @@
       !
       ! set time step length
-      dtime%second = rdt
+      dtime%second = rn_Dt
       CALL xios_set_timestep( dtime )
       !
@@ -410,5 +410,5 @@
    IF(cdmdl == "OPA") THEN
 !from restart.F90
-   CALL iom_set_rstw_var_active("rdt")
+   CALL iom_set_rstw_var_active("rn_Dt")
    IF ( .NOT. ln_diurnal_only ) THEN
         CALL iom_set_rstw_var_active('ub'  )
@@ -448,5 +448,5 @@
 
         i = 0
-        i = i + 1; fields(i)%vname="rdt";            fields(i)%grid="grid_scalar"
+        i = i + 1; fields(i)%vname="rn_Dt";            fields(i)%grid="grid_scalar"
         i = i + 1; fields(i)%vname="un";             fields(i)%grid="grid_N_3D"
         i = i + 1; fields(i)%vname="ub";             fields(i)%grid="grid_N_3D"
@@ -2358,5 +2358,5 @@
             idx = INDEX(clname,'@startdate@') + INDEX(clname,'@STARTDATE@')
             DO WHILE ( idx /= 0 ) 
-               cldate = iom_sdate( fjulday - rdt / rday )
+               cldate = iom_sdate( fjulday - rn_Dt / rday )
                clname = clname(1:idx-1)//TRIM(cldate)//clname(idx+11:LEN_TRIM(clname))
                idx = INDEX(clname,'@startdate@') + INDEX(clname,'@STARTDATE@')
@@ -2365,5 +2365,5 @@
             idx = INDEX(clname,'@startdatefull@') + INDEX(clname,'@STARTDATEFULL@')
             DO WHILE ( idx /= 0 ) 
-               cldate = iom_sdate( fjulday - rdt / rday, ldfull = .TRUE. )
+               cldate = iom_sdate( fjulday - rn_Dt / rday, ldfull = .TRUE. )
                clname = clname(1:idx-1)//TRIM(cldate)//clname(idx+15:LEN_TRIM(clname))
                idx = INDEX(clname,'@startdatefull@') + INDEX(clname,'@STARTDATEFULL@')
@@ -2372,5 +2372,5 @@
             idx = INDEX(clname,'@enddate@') + INDEX(clname,'@ENDDATE@')
             DO WHILE ( idx /= 0 ) 
-               cldate = iom_sdate( fjulday + rdt / rday * REAL( nitend - nit000, wp ), ld24 = .TRUE. )
+               cldate = iom_sdate( fjulday + rn_Dt / rday * REAL( nitend - nit000, wp ), ld24 = .TRUE. )
                clname = clname(1:idx-1)//TRIM(cldate)//clname(idx+9:LEN_TRIM(clname))
                idx = INDEX(clname,'@enddate@') + INDEX(clname,'@ENDDATE@')
@@ -2379,5 +2379,5 @@
             idx = INDEX(clname,'@enddatefull@') + INDEX(clname,'@ENDDATEFULL@')
             DO WHILE ( idx /= 0 ) 
-               cldate = iom_sdate( fjulday + rdt / rday * REAL( nitend - nit000, wp ), ld24 = .TRUE., ldfull = .TRUE. )
+               cldate = iom_sdate( fjulday + rn_Dt / rday * REAL( nitend - nit000, wp ), ld24 = .TRUE., ldfull = .TRUE. )
                clname = clname(1:idx-1)//TRIM(cldate)//clname(idx+13:LEN_TRIM(clname))
                idx = INDEX(clname,'@enddatefull@') + INDEX(clname,'@ENDDATEFULL@')
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/IOM/restart.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/IOM/restart.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/IOM/restart.F90	(revision 12406)
@@ -144,5 +144,5 @@
       !!----------------------------------------------------------------------
                      IF(lwxios) CALL iom_swap(      cwxios_context          )
-                     CALL iom_rstput( kt, nitrst, numrow, 'rdt'    , rdt       , ldxios = lwxios)   ! dynamics time step
+                     CALL iom_rstput( kt, nitrst, numrow, 'rdt'    , rn_Dt       , ldxios = lwxios)   ! dynamics time step
                      CALL iom_delay_rst( 'WRITE', 'OCE', numrow )   ! save only ocean delayed global communication variables
 
@@ -247,5 +247,5 @@
       IF( iom_varid( numror, 'rdt', ldstop = .FALSE. ) > 0 )   THEN
          CALL iom_get( numror, 'rdt', zrdt, ldxios = lrxios )
-         IF( zrdt /= rn_rdt ) THEN
+         IF( zrdt /= rn_Dt ) THEN
             IF(lwp) WRITE( numout,*)
             IF(lwp) WRITE( numout,*) 'rst_read:  rdt not equal to the read one'
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ISF/isfcpl.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ISF/isfcpl.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ISF/isfcpl.F90	(revision 12406)
@@ -502,5 +502,5 @@
       ! compute run length
       nstp_iscpl  = nitend - nit000 + 1
-      rdt_iscpl   = nstp_iscpl * rn_rdt
+      rdt_iscpl   = nstp_iscpl * rn_Dt
       z1_rdtiscpl = 1._wp / rdt_iscpl 
 
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ISF/isfdynatf.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ISF/isfdynatf.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ISF/isfdynatf.F90	(revision 12406)
@@ -39,5 +39,5 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk), INTENT(inout) :: pe3t_f   ! time filtered scale factor to be corrected
       !
-      REAL(wp)                        , INTENT(in   ) :: pcoef    ! atfp * rdt * r1_rau0
+      REAL(wp)                        , INTENT(in   ) :: pcoef    ! atfp * rn_Dt * r1_rau0
       !!--------------------------------------------------------------------
       INTEGER :: jk  ! loop index
@@ -70,5 +70,5 @@
       REAL(wp), DIMENSION(jpi,jpj)    , INTENT(in   ) :: pfrac, phtbl    ! fraction of bottom cell included in tbl, tbl thickness
       REAL(wp), DIMENSION(jpi,jpj)    , INTENT(in   ) :: pfwf , pfwf_b   ! now/before fwf
-      REAL(wp),                         INTENT(in   ) :: pcoef           ! atfp * rdt * r1_rau0
+      REAL(wp),                         INTENT(in   ) :: pcoef           ! atfp * rn_Dt * r1_rau0
       !!----------------------------------------------------------------------
       INTEGER :: ji,jj,jk
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/LDF/ldfdyn.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/LDF/ldfdyn.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/LDF/ldfdyn.F90	(revision 12406)
@@ -407,5 +407,5 @@
             zcmsmag   = (rn_csmc/rpi)**2                                            ! (C_smag/pi)^2
             zstabf_lo = rn_minfac * rn_minfac / ( 2._wp * 12._wp * 12._wp * zcmsmag ) ! lower limit stability factor scaling
-            zstabf_up = rn_maxfac / ( 4._wp * zcmsmag * 2._wp * rdt )               ! upper limit stability factor scaling
+            zstabf_up = rn_maxfac / ( 4._wp * zcmsmag * 2._wp * rn_Dt )               ! upper limit stability factor scaling
             IF( ln_dynldf_blp ) zstabf_lo = ( 16._wp / 9._wp ) * zstabf_lo          ! provide |U|L^3/12 lower limit instead 
             !                                                                       ! of |U|L^3/16 in blp case
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/OBS/diaobs.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/OBS/diaobs.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/OBS/diaobs.F90	(revision 12406)
@@ -539,5 +539,5 @@
       ENDIF
 
-      idaystp = NINT( rday / rdt )
+      idaystp = NINT( rday / rn_Dt )
 
       !-----------------------------------------------------------------------
@@ -774,5 +774,5 @@
          & rday
       USE dom_oce, ONLY : &           ! Ocean space and time domain variables
-         & rdt
+         & rn_Dt
 
       IMPLICIT NONE
@@ -805,5 +805,5 @@
       !! Compute number of days + number of hours + min since initial time
       !!----------------------------------------------------------------------
-      zdayfrc = kstp * rdt / rday
+      zdayfrc = kstp * rn_Dt / rday
       zdayfrc = zdayfrc - aint(zdayfrc)
       imin = imin + int( zdayfrc * 24 * 60 ) 
@@ -816,5 +816,5 @@
         iday=iday+1
       END DO 
-      iday = iday + kstp * rdt / rday 
+      iday = iday + kstp * rn_Dt / rday 
 
       !-----------------------------------------------------------------------
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/OBS/obs_prep.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/OBS/obs_prep.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/OBS/obs_prep.F90	(revision 12406)
@@ -613,5 +613,5 @@
       !! * Modules used
       USE dom_oce, ONLY : &  ! Geographical information
-         & rdt
+         & rn_Dt
       USE phycst, ONLY : &   ! Physical constants
          & rday,  &             
@@ -662,5 +662,5 @@
 
       ! Intialize the number of time steps per day
-      idaystp = NINT( rday / rdt )
+      idaystp = NINT( rday / rn_Dt )
 
       !---------------------------------------------------------------------
@@ -732,5 +732,5 @@
 
          ! Add in the number of time steps to the observation minute
-         zminstp = rmmss / rdt
+         zminstp = rmmss / rn_Dt
          zhoustp = rhhmm * zminstp
 
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/fldread.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/fldread.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/fldread.F90	(revision 12406)
@@ -172,8 +172,8 @@
       ! Note that all varibles starting by nsec_* are shifted time by +1/2 time step to be centrered
       IF( PRESENT(kit) ) THEN   ! ignore kn_fsbc in this case
-         isecsbc = nsec_year + nsec1jan000 + NINT( (     REAL(      kit,wp) + zt_offset ) * rdt / REAL(nn_baro,wp) )
+         isecsbc = nsec_year + nsec1jan000 + NINT( (     REAL(      kit,wp) + zt_offset ) * rn_Dt / REAL(nn_baro,wp) )
       ELSE                      ! middle of sbc time step
          ! note: we use kn_fsbc-1 because nsec_year is defined at the middle of the current time step
-         isecsbc = nsec_year + nsec1jan000 + NINT( ( 0.5*REAL(kn_fsbc-1,wp) + zt_offset ) * rdt )
+         isecsbc = nsec_year + nsec1jan000 + NINT( ( 0.5*REAL(kn_fsbc-1,wp) + zt_offset ) * rn_Dt )
       ENDIF
       imf = SIZE( sd )
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcblk.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcblk.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcblk.F90	(revision 12406)
@@ -275,7 +275,7 @@
             ENDIF
             !
-            IF( slf_i(jfpr)%freqh > 0. .AND. MOD( NINT(3600. * slf_i(jfpr)%freqh), nn_fsbc * NINT(rdt) ) /= 0 )   &
-               &  CALL ctl_warn( 'sbc_blk_init: sbcmod timestep rdt*nn_fsbc is NOT a submultiple of atmospheric forcing frequency.',   &
-               &                 '               This is not ideal. You should consider changing either rdt or nn_fsbc value...' )
+            IF( slf_i(jfpr)%freqh > 0. .AND. MOD( NINT(3600. * slf_i(jfpr)%freqh), nn_fsbc * NINT(rn_Dt) ) /= 0 )   &
+               &  CALL ctl_warn( 'sbc_blk_init: sbcmod timestep rn_Dt*nn_fsbc is NOT a submultiple of atmospheric forcing frequency.',   &
+               &                 '               This is not ideal. You should consider changing either rn_Dt or nn_fsbc value...' )
          ENDIF
       END DO
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcblk_skin_coare.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcblk_skin_coare.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcblk_skin_coare.F90	(revision 12406)
@@ -199,5 +199,5 @@
          ! Okay test on updated absorbed flux:
          !#LB: remove??? has a strong influence !!!
-         IF( (.NOT. l_exit).AND.(Qnt_ac(ji,jj) + zQabs*rdt <= 0._wp) ) THEN
+         IF( (.NOT. l_exit).AND.(Qnt_ac(ji,jj) + zQabs*rn_Dt <= 0._wp) ) THEN
             l_exit       = .TRUE.
             l_destroy_wl = .TRUE.
@@ -211,5 +211,5 @@
             ! 2/ Regardless of WL formed (dT==0 or dT>0), we are in the process to initiate one or warm further it !
 
-            ztac = Tau_ac(ji,jj) + MAX(.002_wp , pTau(ji,jj))*rdt      ! updated momentum integral
+            ztac = Tau_ac(ji,jj) + MAX(.002_wp , pTau(ji,jj))*rn_Dt      ! updated momentum integral
             !PRINT *, '#LBD: updated value for Tac=',  REAL(ztac,4)
 
@@ -218,5 +218,5 @@
             DO jl = 1, 5
                zQabs = frac_solar_abs(zHwl)*pQsw(ji,jj) + pQnsol(ji,jj)
-               zqac  = Qnt_ac(ji,jj) + zQabs*rdt ! updated heat absorbed
+               zqac  = Qnt_ac(ji,jj) + zQabs*rn_Dt ! updated heat absorbed
                IF( zqac <= 0._wp ) EXIT
                zHwl = MAX( MIN( Hwl_max , zcd1*ztac/SQRT(zqac)) , 0.1_wp ) ! Warm-layer depth
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcblk_skin_ecmwf.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcblk_skin_ecmwf.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcblk_skin_ecmwf.F90	(revision 12406)
@@ -214,5 +214,5 @@
          zcst2 = zcst1 / ( 5._wp*zHwl*zusw2 )  !OR: zcst2 = zcst1*rNuwl0 / ( 5._wp*zHwl*zusw2 ) ???
 
-         zcst0 = rdt * (rNuwl0 + 1._wp) / zHwl
+         zcst0 = rn_Dt * (rNuwl0 + 1._wp) / zHwl
 
          ZA = zcst0 * zQabs / ( rNuwl0 * zRhoCp_w )
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbccpl.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbccpl.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbccpl.F90	(revision 12406)
@@ -1123,5 +1123,5 @@
       !                                                      ! Receive all the atmos. fields (including ice information)
       !                                                      ! ======================================================= !
-      isec = ( kt - nit000 ) * NINT( rdt )                      ! date of exchanges
+      isec = ( kt - nit000 ) * NINT( rn_Dt )                      ! date of exchanges
       DO jn = 1, jprcv                                          ! received fields sent by the atmosphere
          IF( srcv(jn)%laction )   CALL cpl_rcv( jn, isec, frcv(jn)%z3, xcplmask(:,:,1:nn_cplmodel), nrcvinfo(jn) )
@@ -2100,5 +2100,5 @@
       !!----------------------------------------------------------------------
       !
-      isec = ( kt - nit000 ) * NINT( rdt )        ! date of exchanges
+      isec = ( kt - nit000 ) * NINT( rn_Dt )        ! date of exchanges
 
       zfr_l(:,:) = 1.- fr_i(:,:)
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcdcy.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcdcy.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcdcy.F90	(revision 12406)
@@ -86,6 +86,6 @@
       ! --------------
       ! When are we during the day (from 0 to 1)
-      zlo = ( REAL(nsec_day, wp) - 0.5_wp * rdt ) / rday
-      zup = zlo + ( REAL(nn_fsbc, wp)     * rdt ) / rday
+      zlo = ( REAL(nsec_day, wp) - 0.5_wp * rn_Dt ) / rday
+      zup = zlo + ( REAL(nn_fsbc, wp)     * rn_Dt ) / rday
       !
       IF( nday_qsr == -1 ) THEN       ! first time step only
@@ -251,5 +251,5 @@
          END_2D
          !
-         ztmp = rday / ( rdt * REAL(nn_fsbc, wp) )
+         ztmp = rday / ( rn_Dt * REAL(nn_fsbc, wp) )
          rscal(:,:) = rscal(:,:) * ztmp
          !
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcfwb.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcfwb.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcfwb.F90	(revision 12406)
@@ -126,5 +126,5 @@
          ENDIF   
          !                                         ! Update fwfold if new year start
-         ikty = 365 * 86400 / rdt                  !!bug  use of 365 days leap year or 360d year !!!!!!!
+         ikty = 365 * 86400 / rn_Dt                  !!bug  use of 365 days leap year or 360d year !!!!!!!
          IF( MOD( kt, ikty ) == 0 ) THEN
             a_fwb_b = a_fwb                           ! mean sea level taking into account the ice+snow
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcmod.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcmod.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/SBC/sbcmod.F90	(revision 12406)
@@ -187,7 +187,7 @@
       !
       IF( .NOT.ln_usr ) THEN     ! the model calendar needs some specificities (except in user defined case)
-         IF( MOD( rday , rdt ) /= 0. )   CALL ctl_stop( 'the time step must devide the number of second of in a day' )
+         IF( MOD( rday , rn_Dt ) /= 0. )   CALL ctl_stop( 'the time step must devide the number of second of in a day' )
          IF( MOD( rday , 2.  ) /= 0. )   CALL ctl_stop( 'the number of second of in a day must be an even number'    )
-         IF( MOD( rdt  , 2.  ) /= 0. )   CALL ctl_stop( 'the time step (in second) must be an even number'           )
+         IF( MOD( rn_Dt  , 2.  ) /= 0. )   CALL ctl_stop( 'the time step (in second) must be an even number'           )
       ENDIF
       !                       !**  check option consistency
@@ -309,6 +309,6 @@
       !     SAS time-step has to be declared in OASIS (mandatory) -> nn_fsbc has to be modified accordingly
       IF( nn_components /= jp_iam_nemo ) THEN
-         IF( nn_components == jp_iam_opa )   nn_fsbc = cpl_freq('O_SFLX') / NINT(rdt)
-         IF( nn_components == jp_iam_sas )   nn_fsbc = cpl_freq('I_SFLX') / NINT(rdt)
+         IF( nn_components == jp_iam_opa )   nn_fsbc = cpl_freq('O_SFLX') / NINT(rn_Dt)
+         IF( nn_components == jp_iam_sas )   nn_fsbc = cpl_freq('I_SFLX') / NINT(rn_Dt)
          !
          IF(lwp)THEN
@@ -331,8 +331,8 @@
       ENDIF
       !
-      IF( MOD( rday, REAL(nn_fsbc, wp) * rdt ) /= 0 )   &
+      IF( MOD( rday, REAL(nn_fsbc, wp) * rn_Dt ) /= 0 )   &
          &  CALL ctl_warn( 'sbc_init : nn_fsbc is NOT a multiple of the number of time steps in a day' )
       !
-      IF( ln_dm2dc .AND. NINT(rday) / ( nn_fsbc * NINT(rdt) ) < 8  )   &
+      IF( ln_dm2dc .AND. NINT(rday) / ( nn_fsbc * NINT(rn_Dt) ) < 8  )   &
          &   CALL ctl_warn( 'sbc_init : diurnal cycle for qsr: the sampling of the diurnal cycle is too small...' )
       !
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TDE/tide_mod.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TDE/tide_mod.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TDE/tide_mod.F90	(revision 12406)
@@ -171,5 +171,5 @@
       IF( ln_scal_load.AND.ln_read_load ) &
           &   CALL ctl_stop('Choose between ln_scal_load and ln_read_load')
-      IF( ln_tide_ramp.AND.((nitend-nit000+1)*rdt/rday < rn_tide_ramp_dt) )   &
+      IF( ln_tide_ramp.AND.((nitend-nit000+1)*rn_Dt/rday < rn_tide_ramp_dt) )   &
          &   CALL ctl_stop('rn_tide_ramp_dt must be lower than run duration')
       IF( ln_tide_ramp.AND.(rn_tide_ramp_dt<0.) ) &
@@ -424,5 +424,5 @@
       !!----------------------------------------------------------------------
       
-      IF( nsec_day == NINT(0.5_wp * rdt) .OR. kt == nit000 ) THEN      ! start a new day
+      IF( nsec_day == NINT(0.5_wp * rn_Dt) .OR. kt == nit000 ) THEN      ! start a new day
          !
          CALL tide_harmo(tide_components, tide_harmonics, ndt05) ! Update oscillation parameters of tidal components for start of current day
@@ -441,5 +441,5 @@
          IF( ln_tide_pot )   CALL tide_init_potential
          !
-         rn_tide_ramp_t = (kt - nit000)*rdt !   Elapsed time in seconds
+         rn_tide_ramp_t = (kt - nit000)*rn_Dt !   Elapsed time in seconds
       ENDIF
       !
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TRA/traatf.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TRA/traatf.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TRA/traatf.F90	(revision 12406)
@@ -123,5 +123,5 @@
          ENDIF
          ! total trend for the non-time-filtered variables. 
-         zfact = 1.0 / rdt
+         zfact = 1.0 / rn_Dt
          ! G Nurser 23 Mar 2017. Recalculate trend as Delta(e3t*T)/e3tn; e3tn cancel from pts(Kmm) terms
          DO jk = 1, jpkm1
@@ -151,6 +151,6 @@
       ELSE                                            ! Leap-Frog + Asselin filter time stepping
          !
-         IF( ln_linssh ) THEN   ;   CALL tra_atf_fix( kt, Kbb, Kmm, Kaa, nit000,      'TRA', pts, jpts )  ! linear free surface 
-         ELSE                   ;   CALL tra_atf_vvl( kt, Kbb, Kmm, Kaa, nit000, rdt, 'TRA', pts, sbc_tsc, sbc_tsc_b, jpts )  ! non-linear free surface
+         IF( ln_linssh ) THEN   ;   CALL tra_atf_fix( kt, Kbb, Kmm, Kaa, nit000,        'TRA', pts, jpts )  ! linear free surface 
+         ELSE                   ;   CALL tra_atf_vvl( kt, Kbb, Kmm, Kaa, nit000, rn_Dt, 'TRA', pts, sbc_tsc, sbc_tsc_b, jpts )  ! non-linear free surface
          ENDIF
          !
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TRA/tranpc.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TRA/tranpc.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TRA/tranpc.F90	(revision 12406)
@@ -301,5 +301,5 @@
          !
          IF( l_trdtra ) THEN         ! send the Non penetrative mixing trends for diagnostic
-            z1_r2dt = 1._wp / (2._wp * rdt)
+            z1_r2dt = 1._wp / (2._wp * rn_Dt)
             ztrdt(:,:,:) = ( pts(:,:,:,jp_tem,Kaa) - ztrdt(:,:,:) ) * z1_r2dt
             ztrds(:,:,:) = ( pts(:,:,:,jp_sal,Kaa) - ztrds(:,:,:) ) * z1_r2dt
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TRD/trdvor.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TRD/trdvor.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/TRD/trdvor.F90	(revision 12406)
@@ -385,5 +385,5 @@
          ! III.1 compute total trend
          ! ------------------------
-         zmean = 1._wp / (  REAL( nmoydpvor, wp ) * 2._wp * rdt  )
+         zmean = 1._wp / (  REAL( nmoydpvor, wp ) * 2._wp * rn_Dt  )
          vor_avrtot(:,:) = (  vor_avr(:,:) - vor_avrbn(:,:) + vor_avrb(:,:) - vor_avrbb(:,:) ) * zmean
 
@@ -504,11 +504,11 @@
       ENDIF
 #if defined key_diainstant
-      zsto = nn_write*rdt
+      zsto = nn_write*rn_Dt
       clop = "inst("//TRIM(clop)//")"
 #else
-      zsto = rdt
+      zsto = rn_Dt
       clop = "ave("//TRIM(clop)//")"
 #endif
-      zout = nn_trd*rdt
+      zout = nn_trd*rn_Dt
 
       IF(lwp) WRITE(numout,*) '               netCDF initialization'
@@ -516,5 +516,5 @@
       ! II.2 Compute julian date from starting date of the run
       ! ------------------------
-      CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
+      CALL ymds2ju( nyear, nmonth, nday, rn_Dt, zjulian )
       zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
       IF(lwp) WRITE(numout,*)' '  
@@ -528,5 +528,5 @@
       IF(lwp) WRITE(numout,*) ' Name of NETCDF file ', clhstnam
       CALL histbeg( clhstnam, jpi, glamf, jpj, gphif,1, jpi,   &  ! Horizontal grid : glamt and gphit
-         &          1, jpj, nit000-1, zjulian, rdt, nh_t, nidvor, domain_id=nidom, snc4chunks=snc4set )
+         &          1, jpj, nit000-1, zjulian, rn_Dt, nh_t, nidvor, domain_id=nidom, snc4chunks=snc4set )
       CALL wheneq( jpi*jpj, fmask, 1, 1., ndexvor1, ndimvor1 )    ! surface
 
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/USR/usrdef_hgr.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/USR/usrdef_hgr.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/USR/usrdef_hgr.F90	(revision 12406)
@@ -107,5 +107,5 @@
       IF( ln_bench ) THEN     ! benchmark: forced the resolution to be 106 km 
          ze1 = 106000._wp     ! but keep (lat,lon) at the right nn_GYRE resolution
-         CALL ctl_warn( ' GYRE used as Benchmark: e1=e2=106km, no need to adjust rdt, ahm,aht ' )
+         CALL ctl_warn( ' GYRE used as Benchmark: e1=e2=106km, no need to adjust rn_Dt, ahm,aht ' )
       ENDIF
       IF( nprint==1 .AND. lwp )   THEN
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/USR/usrdef_sbc.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/USR/usrdef_sbc.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/USR/usrdef_sbc.F90	(revision 12406)
@@ -89,5 +89,5 @@
 
       ! current day (in hours) since january the 1st of the current year
-      ztime = REAL( kt ) * rdt / (rmmss * rhhmm)   &       !  total incrementation (in hours)
+      ztime = REAL( kt ) * rn_Dt / (rmmss * rhhmm)   &       !  total incrementation (in hours)
          &      - (nyear  - 1) * rjjhh * zyydd             !  minus years since beginning of experiment (in hours)
 
@@ -154,5 +154,5 @@
       !accumulates days of previous months of this year
       ! day (in hours) since january the 1st
-      ztime = FLOAT( kt ) * rdt / (rmmss * rhhmm)  &  ! incrementation in hour
+      ztime = FLOAT( kt ) * rn_Dt / (rmmss * rhhmm)  &  ! incrementation in hour
          &     - (nyear - 1) * rjjhh * zyydd          !  - nber of hours the precedent years
       ztimemax = ((5.*30.)+21.)* 24.               ! 21th june     in hours
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ZDF/zdfdrg.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ZDF/zdfdrg.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ZDF/zdfdrg.F90	(revision 12406)
@@ -165,6 +165,6 @@
       !!---------------------------------------------------------------------
       !
-!!gm bug : time step is only rdt (not 2 rdt if euler start !)
-      zm1_2dt = - 1._wp / ( 2._wp * rdt )
+!!gm bug : time step is only rn_Dt (not 2 rn_Dt if euler start !)
+      zm1_2dt = - 1._wp / ( 2._wp * rn_Dt )
 
       IF( l_trddyn ) THEN      ! trends: store the input trends
Index: /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ZDF/zdfgls.F90
===================================================================
--- /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ZDF/zdfgls.F90	(revision 12405)
+++ /NEMO/branches/2020/KERNEL-03_Storkey_Coward_RK3_stage2/src/OCE/ZDF/zdfgls.F90	(revision 12406)
@@ -267,7 +267,7 @@
          zd_up(ji,jj,jk) = zcof * ( p_avm(ji,jj,jk+1) + p_avm(ji,jj,jk  ) ) / ( e3t(ji,jj,jk  ,Kmm) * e3w(ji,jj,jk,Kmm) )
          !                                        ! diagonal
-         zdiag(ji,jj,jk) = 1._wp - zd_lw(ji,jj,jk) - zd_up(ji,jj,jk)  + rdt * zdiss * wmask(ji,jj,jk) 
+         zdiag(ji,jj,jk) = 1._wp - zd_lw(ji,jj,jk) - zd_up(ji,jj,jk)  + rn_Dt * zdiss * wmask(ji,jj,jk) 
          !                                        ! right hand side in en
-         en(ji,jj,jk) = en(ji,jj,jk) + rdt * zesh2 * wmask(ji,jj,jk)
+         en(ji,jj,jk) = en(ji,jj,jk) + rn_Dt * zesh2 * wmask(ji,jj,jk)
       END_3D
       !
@@ -477,7 +477,7 @@
          zd_up(ji,jj,jk) = zcof * ( p_avm(ji,jj,jk+1) + p_avm(ji,jj,jk  ) ) / ( e3t(ji,jj,jk  ,Kmm) * e3w(ji,jj,jk,Kmm) )
          !                                               ! diagonal
-         zdiag(ji,jj,jk) = 1._wp - zd_lw(ji,jj,jk) - zd_up(ji,jj,jk) + rdt * zdiss * wmask(ji,jj,jk)
+         zdiag(ji,jj,jk) = 1._wp - zd_lw(ji,jj,jk) - zd_up(ji,jj,jk) + rn_Dt * zdiss * wmask(ji,jj,jk)
          !                                               ! right hand side in psi
-         psi(ji,jj,jk) = psi(ji,jj,jk) + rdt * zesh2 * wmask(ji,jj,jk)
+         psi(ji,jj,jk) = psi(ji,jj,jk) + rn_Dt * zesh2 * wmask(ji,jj,jk)
       END_3D
       !
@@ -1007,14 +1007,14 @@
       rc04  = rc03 * rc0
       rsbc_tke1 = -3._wp/2._wp*rn_crban*ra_sf*rl_sf                      ! Dirichlet + Wave breaking
-      rsbc_tke2 = rdt * rn_crban / rl_sf                                 ! Neumann + Wave breaking 
+      rsbc_tke2 = rn_Dt * rn_crban / rl_sf                                 ! Neumann + Wave breaking 
       zcr = MAX(rsmall, rsbc_tke1**(1./(-ra_sf*3._wp/2._wp))-1._wp )
       rtrans = 0.2_wp / zcr                                              ! Ad. inverse transition length between log and wave layer 
       rsbc_zs1  = rn_charn/grav                                          ! Charnock formula for surface roughness
       rsbc_zs2  = rn_frac_hs / 0.85_wp / grav * 665._wp                  ! Rascle formula for surface roughness 
-      rsbc_psi1 = -0.5_wp * rdt * rc0**(rpp-2._wp*rmm) / rsc_psi
-      rsbc_psi2 = -0.5_wp * rdt * rc0**rpp * rnn * vkarmn**rnn / rsc_psi ! Neumann + NO Wave breaking 
-      !
-      rfact_tke = -0.5_wp / rsc_tke * rdt                                ! Cst used for the Diffusion term of tke
-      rfact_psi = -0.5_wp / rsc_psi * rdt                                ! Cst used for the Diffusion term of tke
+      rsbc_psi1 = -0.5_wp * rn_Dt * rc0**(rpp-2._wp*rmm) / rsc_psi
+      rsbc_psi2 = -0.5_wp * rn_Dt * rc0**rpp * rnn * vkarmn**rnn / rsc_psi ! Neumann + NO Wave breaking 
+      !
+      rfact_tke = -0.5_wp / rsc_tke * rn_Dt                                ! Cst used for the Diffusion term of tke
+      rfact_psi = -0.5_wp / rsc_psi * rn_Dt                                ! Cst used for the Diffusion term of tke
       !
       !                                !* Wall proximity function
